This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 515764 - Test failures for upload and download
Test failures for upload and download
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libguestfs (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-05 12:42 EDT by Matthew Booth
Modified: 2009-09-08 18:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.0.68-5.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-06 16:47:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Booth 2009-08-05 12:42:18 EDT
Description of problem:

make check output includes:
110/211 test_download_0
test_download_0: expected "e3eda01d9815f8d24aae2dbd89b68b06" but got "603274a0c34714ef3c2d6cf741995301"
test_download_0 FAILED
111/211 test_upload_0
test_upload_0: expected "e3eda01d9815f8d24aae2dbd89b68b06" but got "603274a0c34714ef3c2d6cf741995301"
test_upload_0 FAILED

Version-Release number of selected component (if applicable):
Git 8eb7f1a58f424ad0f210fe638574b5067d2ac97b

How reproducible:
Always (on my machine)
Comment 1 Richard W.M. Jones 2009-08-05 13:13:42 EDT
It's because of this commit:

http://git.et.redhat.com/?p=libguestfs.git;a=commitdiff;h=e15ff2113f5b2a7e0aa138c47c14e93268d25aed

The test uses COPYING.LIB as a "known file" from the
source directory:

http://git.et.redhat.com/?p=libguestfs.git;a=blob;f=src/generator.ml;h=94dc268e6588ed1abec0cb40a629586c6e93cc8c;hb=HEAD#l1755

Since this file changed, the checksums changed.
Comment 2 Matthew Booth 2009-08-05 15:33:05 EDT
Ideally we'd independently generate this checksum and then compare against it. Is there a good way to do this in generator.ml?
Comment 3 Richard W.M. Jones 2009-08-05 17:28:49 EDT
Sure, replace the string literal of the MD5 digest
with the following expression:

Digest.to_hex (Digest.file "COPYING.LIB")
Comment 4 Fedora Update System 2009-08-06 14:10:03 EDT
libguestfs-1.0.66-1.fc11.1 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.66-1.fc11.1
Comment 5 Fedora Update System 2009-08-07 04:33:53 EDT
libguestfs-1.0.66-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.66-4.el5
Comment 6 Fedora Update System 2009-08-08 15:32:45 EDT
libguestfs-1.0.66-1.fc11.1 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libguestfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8405
Comment 7 Fedora Update System 2009-08-10 16:32:30 EDT
libguestfs-1.0.66-4.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libguestfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0249
Comment 8 Fedora Update System 2009-08-14 04:23:26 EDT
libguestfs-1.0.67-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.67-1.fc11
Comment 9 Fedora Update System 2009-08-14 05:13:37 EDT
libguestfs-1.0.67-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.67-1.el5
Comment 10 Fedora Update System 2009-08-15 04:12:18 EDT
libguestfs-1.0.67-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libguestfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8548
Comment 11 Fedora Update System 2009-08-17 20:24:05 EDT
libguestfs-1.0.67-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libguestfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0286
Comment 12 Fedora Update System 2009-08-19 14:31:34 EDT
libguestfs-1.0.68-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.68-2.fc11
Comment 13 Fedora Update System 2009-08-19 17:55:03 EDT
libguestfs-1.0.68-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.68-5.el5
Comment 14 Fedora Update System 2009-08-20 11:00:55 EDT
libguestfs-1.0.68-5.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libguestfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0323
Comment 15 Fedora Update System 2009-08-20 16:54:28 EDT
libguestfs-1.0.68-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libguestfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8771
Comment 16 Fedora Update System 2009-09-06 16:47:24 EDT
libguestfs-1.0.68-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-09-08 18:59:15 EDT
libguestfs-1.0.68-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.